#include <absacc.h>
#include <stdio.h>
#include <reg515c.h>

#define  CLRSCR  26                    /* Bildschirmlschen                 */

extern SerInit(void);

extern void func1(void);
extern void func2(void);

void main(void) 
 {
  unsigned char pld_config;

  pld_config = 0x02;              /* default nach Reset  */  

  pld_config |= 0x40;             /* einschalten von IO-switch */
  XBYTE[0x0FC00] = pld_config;

  SYSCON = SYSCON & 0xFE;		/*set xmap0 = 0, CAN Enable */

  XBYTE[0x0FC00] = 0x00;

/* INITIALIZE SERIAL INTERFACE TO 2400 BAUD @12MHz */
/*  SCON = 0x52; */   /* SCON */
/*  TMOD = 0x20; */   /* TMOD */
/*  TCON = 0x69; */   /* TCON */
/*  TH1 =  0xf3; */   /* TH1  */

  SerInit();

  putchar(' ');              /* send dummy-Byte                          */

  printf("\x1A\n Testprogram MIT startup\n\n");

  printf(" MAIN PROGRAM CALLS A FUNCTION IN BANK 1 \n");
  func1();
  printf(" MAIN PROGRAM CALLS A FUNCTION IN BANK 2 \n");
  func2();

  while(1);
}

